Tonyu.klass.define({
  fullName: 'user.Enemy',
  shortName: 'Enemy',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Enemy_main() {
        "use strict";
        var _this=this;
        
        
        _this.c=0;
        _this.p=Tonyu.globals.$pat_sample+2;
        _this.b=_this.pl.bound();
        _this.scaleX=_this.b.width/32;
        _this.scaleY=1;
        _this.vx=2;
        while (true) {
          Tonyu.checkLoop();
          _this.x+=_this.vx;
          if (_this.x<100) {
            _this.vx=2;
          }
          if (_this.x>400) {
            _this.vx=- 2;
          }
          _this.pl.position.set(_this.position.sub(0,_this.b.height/2+16));
          if (_this.bl=_this.crashTo(Tonyu.classes.user.Bullet)) {
            _this.pl.released=true;
            _this.bl.die();
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_hit,{vol: 30});
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_saved,{vol: 10});
            _this.die();
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Enemy_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _this.c=0;
        _this.p=Tonyu.globals.$pat_sample+2;
        _this.b=_this.pl.bound();
        _this.scaleX=_this.b.width/32;
        _this.scaleY=1;
        _this.vx=2;
        
        _thread.enter(function _trc_Enemy_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.x+=_this.vx;
              if (_this.x<100) {
                _this.vx=2;
              }
              if (_this.x>400) {
                _this.vx=- 2;
              }
              _this.pl.position.set(_this.position.sub(0,_this.b.height/2+16));
              if (_this.bl=_this.crashTo(Tonyu.classes.user.Bullet)) {
                _this.pl.released=true;
                _this.bl.die();
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_hit,{vol: 30});
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_saved,{vol: 10});
                _this.die();
                
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"pl":{},"c":{},"b":{},"vx":{},"bl":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Floor',
  shortName: 'Floor',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.BodyActor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Floor_main() {
        "use strict";
        var _this=this;
        
        _this.width=200;
        _this.height=10;
        _this.fillStyle="white";
        _this.isStatic=true;
      },
      fiber$main :function _trc_Floor_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.width=200;
        _this.height=10;
        _this.fillStyle="white";
        _this.isStatic=true;
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Main',
  shortName: 'Main',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Main_main() {
        "use strict";
        var _this=this;
        var _it_4817;
        
        Tonyu.globals.$score=0;
        Tonyu.globals.$time=0;
        Tonyu.globals.$frames=0;
        new Tonyu.classes.kernel.Label({template: "時間 $time",x: 200,y: 50,size: 20});
        Tonyu.globals.$state="play";
        Tonyu.globals.$pad=new Tonyu.classes.kernel.APad({touchRadius: 100,x: 100});
        Tonyu.globals.$fire=new Tonyu.classes.kernel.Button({left: 400,width: 50,height: 50,top: 460,text: "撃",key: "space"});
        Tonyu.globals.$player=new Tonyu.classes.user.Player({x: 256,y: 400,worlds: [{x: 256,y: 400}],ctrl: true});
        Tonyu.globals.$mesgs=[];
        Tonyu.globals.$spd=0;
        _this.i=0;for (; _this.i<50 ; _this.i++) {
          Tonyu.checkLoop();
          {
            new Tonyu.classes.user.Star({x: _this.rnd(512),y: _this.rnd(512)});
          }
        }
        new Tonyu.classes.user.Bounce({spd: Tonyu.globals.$spd});
        while (Tonyu.globals.$state=="play") {
          Tonyu.checkLoop();
          Tonyu.globals.$frames++;
          Tonyu.globals.$time=_this.floor(Tonyu.globals.$frames/Tonyu.globals.$Boot.getFrameRate());
          _this.update();
          
        }
        switch (Tonyu.globals.$state) {
        case "gameover":
          Tonyu.globals.$sound.playBGM(Tonyu.globals.$se_death);
          new Tonyu.classes.kernel.Label({text: "ゲームオーバー",x: 230,y: 200,size: 50});
          Tonyu.globals.$mesg=Tonyu.globals.$theme+"を"+Tonyu.globals.$score+"個集めたところで"+Tonyu.globals.$subTheme+"に阻まれて無念のリタイア．";
          new Tonyu.classes.kernel.Button({text: "Title",top: 300,onClick: Tonyu.bindFunc(_this,_this.goTitle),key: "space"});
          break;
          
        case "clear":
          Tonyu.globals.$mesg=Tonyu.globals.$time+"秒かけて #ahoge のテーマ「"+Tonyu.globals.$mesgs.join("、")+"」を集めきった．";
          new Tonyu.classes.kernel.Label({text: "テーマを集めた！",x: 256,y: 100,size: 50});
          new Tonyu.classes.kernel.Button({text: "Tweet",top: 350,onClick: Tonyu.bindFunc(_this,_this.tweet)});
          _this.y=150;
          _it_4817=Tonyu.iterator(Tonyu.globals.$mesgs,1);
          while(_it_4817.next()) {
            _this.m=_it_4817[0];
            
            _this.lb = new Tonyu.classes.kernel.Label({text: "",y: _this.y,x: 256,size: 30});
            
            _this.i = 0;
            for (; _this.i<_this.m.length ; _this.i++) {
              Tonyu.checkLoop();
              {
                _this.lb.text+=_this.m[_this.i];
                _this.updateEx(3);
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_bo);
              }
            }
            _this.y+=40;
            
          }
          Tonyu.globals.$sound.playSE(Tonyu.globals.$se_bonus,{vol: 64});
          new Tonyu.classes.kernel.Button({text: "Title",top: 300,onClick: Tonyu.bindFunc(_this,_this.goTitle)});
          break;
          
        }
      },
      fiber$main :function _trc_Main_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var _it_4817;
        
        Tonyu.globals.$score=0;
        Tonyu.globals.$time=0;
        Tonyu.globals.$frames=0;
        new Tonyu.classes.kernel.Label({template: "時間 $time",x: 200,y: 50,size: 20});
        Tonyu.globals.$state="play";
        Tonyu.globals.$pad=new Tonyu.classes.kernel.APad({touchRadius: 100,x: 100});
        Tonyu.globals.$fire=new Tonyu.classes.kernel.Button({left: 400,width: 50,height: 50,top: 460,text: "撃",key: "space"});
        Tonyu.globals.$player=new Tonyu.classes.user.Player({x: 256,y: 400,worlds: [{x: 256,y: 400}],ctrl: true});
        Tonyu.globals.$mesgs=[];
        Tonyu.globals.$spd=0;
        _this.i=0;for (; _this.i<50 ; _this.i++) {
          Tonyu.checkLoop();
          {
            new Tonyu.classes.user.Star({x: _this.rnd(512),y: _this.rnd(512)});
          }
        }
        new Tonyu.classes.user.Bounce({spd: Tonyu.globals.$spd});
        
        _thread.enter(function _trc_Main_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(Tonyu.globals.$state=="play")) { __pc=3     ; break; }
              Tonyu.globals.$frames++;
              Tonyu.globals.$time=_this.floor(Tonyu.globals.$frames/Tonyu.globals.$Boot.getFrameRate());
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              switch (Tonyu.globals.$state) {
              case "gameover":
                __pc=4     ;break;
              case "clear":
                __pc=5     ;break;
              default:
                __pc=12    ;break;
                
              }
              break;
            case 4     :
              Tonyu.globals.$sound.playBGM(Tonyu.globals.$se_death);
              new Tonyu.classes.kernel.Label({text: "ゲームオーバー",x: 230,y: 200,size: 50});
              Tonyu.globals.$mesg=Tonyu.globals.$theme+"を"+Tonyu.globals.$score+"個集めたところで"+Tonyu.globals.$subTheme+"に阻まれて無念のリタイア．";
              new Tonyu.classes.kernel.Button({text: "Title",top: 300,onClick: Tonyu.bindFunc(_this,_this.goTitle),key: "space"});
              __pc=12    ; break;
              
            case 5     :
              Tonyu.globals.$mesg=Tonyu.globals.$time+"秒かけて #ahoge のテーマ「"+Tonyu.globals.$mesgs.join("、")+"」を集めきった．";
              new Tonyu.classes.kernel.Label({text: "テーマを集めた！",x: 256,y: 100,size: 50});
              new Tonyu.classes.kernel.Button({text: "Tweet",top: 350,onClick: Tonyu.bindFunc(_this,_this.tweet)});
              _this.y=150;
              _it_4817=Tonyu.iterator(Tonyu.globals.$mesgs,1);
            case 6:
              if (!(_it_4817.next())) { __pc=11    ; break; }
              _this.m=_it_4817[0];
              
              _this.lb = new Tonyu.classes.kernel.Label({text: "",y: _this.y,x: 256,size: 30});
              
              _this.i = 0;
              
            case 7:
              if (!(_this.i<_this.m.length)) { __pc=10    ; break; }
              _this.lb.text+=_this.m[_this.i];
              _this.fiber$updateEx(_thread, 3);
              __pc=8;return;
            case 8:
              
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_bo);
            case 9     :
              _this.i++;
              __pc=7;break;
            case 10    :
              
              _this.y+=40;
              __pc=6;break;
            case 11    :
              
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_bonus,{vol: 64});
              new Tonyu.classes.kernel.Button({text: "Title",top: 300,onClick: Tonyu.bindFunc(_this,_this.goTitle)});
              __pc=12    ; break;
              
              case 12    :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      goTitle :function _trc_Main_goTitle() {
        "use strict";
        var _this=this;
        
        new Tonyu.classes.kernel.FadeEffect({type: "out",page: Tonyu.classes.user.Title});
      },
      fiber$goTitle :function _trc_Main_f_goTitle(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        new Tonyu.classes.kernel.FadeEffect({type: "out",page: Tonyu.classes.user.Title});
        
        _thread.retVal=_this;return;
      },
      tweet :function _trc_Main_tweet() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$WebPage.openShareTweet(Tonyu.globals.$mesg,Tonyu.globals.$url,"tonyu2");
      },
      fiber$tweet :function _trc_Main_f_tweet(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$WebPage.openShareTweet(Tonyu.globals.$mesg,Tonyu.globals.$url,"tonyu2");
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"goTitle":{"nowait":false},"tweet":{"nowait":false}},"fields":{"m":{},"lb":{},"i":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Player',
  shortName: 'Player',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Player_main() {
        "use strict";
        var _this=this;
        var _it_4819;
        
        "field strict";
        
        _this.p=- 1;
        if (_this.ctrl) {
          while (true) {
            Tonyu.checkLoop();
            _this.x+=Tonyu.globals.$pad.vx*5;
            if (Tonyu.globals.$fire.clicked==1) {
              _it_4819=Tonyu.iterator(_this.getWorlds(),1);
              while(_it_4819.next()) {
                _this.w=_it_4819[0];
                
                new Tonyu.classes.user.Bullet({x: _this.w.x,y: _this.w.y});
                
              }
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_shot,{vol: 64});
              
            }
            _this.update();
            
          }
          
        } else {
          while (! _this.released) {
            Tonyu.checkLoop();
            _this.update();
          }
          _this.i = 0;
          for (; _this.i<=360*5 ; _this.i+=45) {
            Tonyu.checkLoop();
            {
              _this.rotation=_this.i;
              _this.updateEx(2);
            }
          }
          while (true) {
            Tonyu.checkLoop();
            _this.y+=2;
            if (_this.screenOut(40)) {
              Tonyu.globals.$state="gameover";
            }
            _this.pp = _this.crash();
            
            if (_this.pp) {
              _this.pp.worlds2Subs(_this.getWorlds());
              Tonyu.globals.$spd++;
              if (Tonyu.globals.$spd>=4) {
                Tonyu.globals.$state="clear";
                
              } else {
                new Tonyu.classes.user.Bounce({spd: Tonyu.globals.$spd});
                
              }
              _this.die();
              
            }
            _this.update();
            
          }
          
        }
      },
      fiber$main :function _trc_Player_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var _it_4819;
        
        "field strict";
        
        _this.p=- 1;
        
        _thread.enter(function _trc_Player_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              if (!(_this.ctrl)) { __pc=4     ; break; }
            case 1:
              _this.x+=Tonyu.globals.$pad.vx*5;
              if (Tonyu.globals.$fire.clicked==1) {
                _it_4819=Tonyu.iterator(_this.getWorlds(),1);
                while(_it_4819.next()) {
                  _this.w=_it_4819[0];
                  
                  new Tonyu.classes.user.Bullet({x: _this.w.x,y: _this.w.y});
                  
                }
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_shot,{vol: 64});
                
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              __pc=16    ;break;
            case 4     :
            case 5:
              if (!(! _this.released)) { __pc=7     ; break; }
              _this.fiber$update(_thread);
              __pc=6;return;
            case 6:
              
              __pc=5;break;
            case 7     :
              
              _this.i = 0;
              
            case 8:
              if (!(_this.i<=360*5)) { __pc=11    ; break; }
              _this.rotation=_this.i;
              _this.fiber$updateEx(_thread, 2);
              __pc=9;return;
            case 9:
              
            case 10    :
              _this.i+=45;
              __pc=8;break;
            case 11    :
              
            case 12:
              _this.y+=2;
              if (_this.screenOut(40)) {
                Tonyu.globals.$state="gameover";
              }
              _this.fiber$crash(_thread);
              __pc=13;return;
            case 13:
              _this.pp=_thread.retVal;
              
              if (_this.pp) {
                _this.pp.worlds2Subs(_this.getWorlds());
                Tonyu.globals.$spd++;
                if (Tonyu.globals.$spd>=4) {
                  Tonyu.globals.$state="clear";
                  
                } else {
                  new Tonyu.classes.user.Bounce({spd: Tonyu.globals.$spd});
                  
                }
                _this.die();
                
              }
              _this.fiber$update(_thread);
              __pc=14;return;
            case 14:
              
              __pc=12;break;
            case 15    :
              
            case 16    :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      onAppear :function _trc_Player_onAppear() {
        "use strict";
        var _this=this;
        
        _this.worlds2Subs(_this.worlds);
      },
      fiber$onAppear :function _trc_Player_f_onAppear(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_Player_ent_onAppear(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$worlds2Subs(_thread, _this.worlds);
              __pc=1;return;
            case 1:
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      crash :function _trc_Player_crash() {
        "use strict";
        var _this=this;
        var pws;
        var p;
        var _it_4821;
        var w;
        var _it_4822;
        var pw;
        var _it_4823;
        
        pws = _this.getWorlds();
        
        _it_4821=Tonyu.iterator(_this.all(Tonyu.classes.user.Player),1);
        while(_it_4821.next()) {
          p=_it_4821[0];
          
          _it_4822=Tonyu.iterator(p.getWorlds(),1);
          while(_it_4822.next()) {
            w=_it_4822[0];
            
            _it_4823=Tonyu.iterator(pws,1);
            while(_it_4823.next()) {
              pw=_it_4823[0];
              
              if (_this.dist(w.x-pw.x,w.y-pw.y)<28) {
                return p;
                
              }
              
            }
            
          }
          
        }
        return false;
      },
      fiber$crash :function _trc_Player_f_crash(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var pws;
        var p;
        var _it_4821;
        var w;
        var _it_4822;
        var pw;
        var _it_4823;
        
        
        _thread.enter(function _trc_Player_ent_crash(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$getWorlds(_thread);
              __pc=1;return;
            case 1:
              pws=_thread.retVal;
              
              _it_4821=Tonyu.iterator(_this.all(Tonyu.classes.user.Player),1);
            case 2:
              if (!(_it_4821.next())) { __pc=8     ; break; }
              p=_it_4821[0];
              
              _it_4822=Tonyu.iterator(p.getWorlds(),1);
            case 3:
              if (!(_it_4822.next())) { __pc=7     ; break; }
              w=_it_4822[0];
              
              _it_4823=Tonyu.iterator(pws,1);
            case 4:
              if (!(_it_4823.next())) { __pc=6     ; break; }
              pw=_it_4823[0];
              
              if (!(_this.dist(w.x-pw.x,w.y-pw.y)<28)) { __pc=5     ; break; }
              _thread.exit(p);return;
            case 5     :
              
              __pc=4;break;
            case 6     :
              
              __pc=3;break;
            case 7     :
              
              __pc=2;break;
            case 8     :
              
              _thread.exit(false);return;
              _thread.exit(_this);return;
            }
          }
        });
      },
      clone :function _trc_Player_clone() {
        "use strict";
        var _this=this;
        var worlds;
        var c;
        var w;
        var _it_4831;
        
        worlds = _this.getWorlds();
        
        c = {x: 0,y: 0};
        
        _it_4831=Tonyu.iterator(worlds,1);
        while(_it_4831.next()) {
          w=_it_4831[0];
          
          c.x+=w.x/worlds.length;
          c.y+=w.y/worlds.length;
          
        }
        return new Tonyu.classes.user.Player({x: c.x,y: c.y,worlds: worlds});
      },
      fiber$clone :function _trc_Player_f_clone(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var worlds;
        var c;
        var w;
        var _it_4831;
        
        
        _thread.enter(function _trc_Player_ent_clone(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$getWorlds(_thread);
              __pc=1;return;
            case 1:
              worlds=_thread.retVal;
              
              c = {x: 0,y: 0};
              
              _it_4831=Tonyu.iterator(worlds,1);
              while(_it_4831.next()) {
                w=_it_4831[0];
                
                c.x+=w.x/worlds.length;
                c.y+=w.y/worlds.length;
                
              }
              _thread.exit(new Tonyu.classes.user.Player({x: c.x,y: c.y,worlds: worlds}));return;
              _thread.exit(_this);return;
            }
          }
        });
      },
      getWorlds :function _trc_Player_getWorlds() {
        "use strict";
        var _this=this;
        var r;
        var s;
        var _it_4836;
        
        r = [];
        
        if (_this.subsprites) {
          _it_4836=Tonyu.iterator(_this.subsprites.sprites,1);
          while(_it_4836.next()) {
            s=_it_4836[0];
            
            r.push(_this.transform.localToWorld(s));
            
          }
          
        }
        return r;
      },
      fiber$getWorlds :function _trc_Player_f_getWorlds(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var r;
        var s;
        var _it_4836;
        
        r = [];
        
        if (_this.subsprites) {
          _it_4836=Tonyu.iterator(_this.subsprites.sprites,1);
          while(_it_4836.next()) {
            s=_it_4836[0];
            
            r.push(_this.transform.localToWorld(s));
            
          }
          
        }
        _thread.retVal=r;return;
        
        
        _thread.retVal=_this;return;
      },
      worlds2Subs :function _trc_Player_worlds2Subs(ws) {
        "use strict";
        var _this=this;
        var w;
        var _it_4840;
        var sub;
        
        _it_4840=Tonyu.iterator(ws,1);
        while(_it_4840.next()) {
          w=_it_4840[0];
          
          sub = _this.transform.worldToLocal(w);
          
          new Tonyu.classes.kernel.Actor({x: sub.x,y: sub.y,layer: _this,p: Tonyu.globals.$pat_sample+0});
          
        }
      },
      fiber$worlds2Subs :function _trc_Player_f_worlds2Subs(_thread,ws) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var w;
        var _it_4840;
        var sub;
        
        _it_4840=Tonyu.iterator(ws,1);
        while(_it_4840.next()) {
          w=_it_4840[0];
          
          sub = _this.transform.worldToLocal(w);
          
          new Tonyu.classes.kernel.Actor({x: sub.x,y: sub.y,layer: _this,p: Tonyu.globals.$pat_sample+0});
          
        }
        
        _thread.retVal=_this;return;
      },
      bound :function _trc_Player_bound() {
        "use strict";
        var _this=this;
        var ymin;
        var ymax;
        var xmin;
        var xmax;
        var w;
        var _it_4844;
        
        ymin = 1000;
        
        ymax = - 1000;
        
        xmin = 1000;
        
        xmax = - 1000;
        
        _it_4844=Tonyu.iterator(_this.getWorlds(),1);
        while(_it_4844.next()) {
          w=_it_4844[0];
          
          if (w.y<ymin) {
            ymin=w.y;
          }
          if (w.y>ymax) {
            ymax=w.y;
          }
          if (w.x>xmax) {
            xmax=w.x;
          }
          if (w.x<xmin) {
            xmin=w.x;
          }
          
        }
        xmin-=16;
        ymin-=16;
        xmax+=16;
        xmax+=16;
        return new Tonyu.classes.kernel.RectShape({x: (xmin+xmax)/2,y: (ymin+ymax)/2,width: (xmax-xmin),height: (ymax-ymin)});
      },
      fiber$bound :function _trc_Player_f_bound(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var ymin;
        var ymax;
        var xmin;
        var xmax;
        var w;
        var _it_4844;
        
        ymin = 1000;
        
        ymax = - 1000;
        
        xmin = 1000;
        
        xmax = - 1000;
        
        _it_4844=Tonyu.iterator(_this.getWorlds(),1);
        while(_it_4844.next()) {
          w=_it_4844[0];
          
          if (w.y<ymin) {
            ymin=w.y;
          }
          if (w.y>ymax) {
            ymax=w.y;
          }
          if (w.x>xmax) {
            xmax=w.x;
          }
          if (w.x<xmin) {
            xmin=w.x;
          }
          
        }
        xmin-=16;
        ymin-=16;
        xmax+=16;
        xmax+=16;
        _thread.retVal=new Tonyu.classes.kernel.RectShape({x: (xmin+xmax)/2,y: (ymin+ymax)/2,width: (xmax-xmin),height: (ymax-ymin)});return;
        
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"onAppear":{"nowait":false},"crash":{"nowait":false},"clone":{"nowait":false},"getWorlds":{"nowait":false},"worlds2Subs":{"nowait":false},"bound":{"nowait":false}},"fields":{"worlds":{},"ctrl":{},"released":{},"w":{},"i":{},"pp":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Setting',
  shortName: 'Setting',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Setting_main() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$no=33;
        Tonyu.globals.$theme="ツイン";
        Tonyu.globals.$title="ツインファイター";
        Tonyu.globals.$author="hoge1e3";
        Tonyu.globals.$subTheme="<<テーマに関連する何か>>";
        Tonyu.globals.$story="仲間を助けて\nあほげーの歴代テーマを集めよう！";
        Tonyu.globals.$url="https://www.tonyu.jp/project/viewProject.cgi?mainkey=845";
        Tonyu.globals.$Screen.setBGColor("black");
        Tonyu.globals.$Screen.resize(512,512);
        _this.loadPage(Tonyu.classes.user.Title);
      },
      fiber$main :function _trc_Setting_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$no=33;
        Tonyu.globals.$theme="ツイン";
        Tonyu.globals.$title="ツインファイター";
        Tonyu.globals.$author="hoge1e3";
        Tonyu.globals.$subTheme="<<テーマに関連する何か>>";
        Tonyu.globals.$story="仲間を助けて\nあほげーの歴代テーマを集めよう！";
        Tonyu.globals.$url="https://www.tonyu.jp/project/viewProject.cgi?mainkey=845";
        Tonyu.globals.$Screen.setBGColor("black");
        Tonyu.globals.$Screen.resize(512,512);
        
        _thread.enter(function _trc_Setting_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$loadPage(_thread, Tonyu.classes.user.Title);
              __pc=1;return;
            case 1:
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Target',
  shortName: 'Target',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.BodyActor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Target_main() {
        "use strict";
        var _this=this;
        
        _this.id=_this.rnd(10000);
        _this.c=0;
        _this.p=Tonyu.globals.$pat_ahoge26+1;
        _this.radius=16;
        while (true) {
          Tonyu.checkLoop();
          _this.c++;
          if (_this.screenOut()) {
            _this.die();
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Target_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.id=_this.rnd(10000);
        _this.c=0;
        _this.p=Tonyu.globals.$pat_ahoge26+1;
        _this.radius=16;
        
        _thread.enter(function _trc_Target_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.c++;
              if (_this.screenOut()) {
                _this.die();
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"id":{},"c":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Title',
  shortName: 'Title',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Title_main() {
        "use strict";
        var _this=this;
        
        new Tonyu.classes.kernel.Label({template: "第$no 回あほげー作品",x: Tonyu.globals.$screenWidth/2,y: 50,size: 15,color: "white"});
        new Tonyu.classes.kernel.Label({text: Tonyu.globals.$title,x: Tonyu.globals.$screenWidth/2,y: 100,size: 25,color: "white"});
        new Tonyu.classes.kernel.Label({text: Tonyu.globals.$story,x: Tonyu.globals.$screenWidth/2,y: 200,size: 15,color: "white"});
        while (! Tonyu.globals.$Boot.loadedAll) {
          Tonyu.checkLoop();
          _this.update();
          
        }
        Tonyu.globals.$sound.mute=false;
        new Tonyu.classes.kernel.Button({text: "Start",top: 300,onClick: Tonyu.bindFunc(_this,_this.start),key: "space"});
        _this.sb=new Tonyu.classes.kernel.Label({text: "Sound:ON",y: 360,x: 150,size: 30});
        _this.sb.text=Tonyu.globals.$sound.mute?"Sound:OFF":"Sound:ON";
        new Tonyu.classes.kernel.Button({text: "On↔Off",left: 250,top: 360,width: 180,height: 40,onClick: Tonyu.bindFunc(_this,_this.toggleSound)});
      },
      fiber$main :function _trc_Title_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        new Tonyu.classes.kernel.Label({template: "第$no 回あほげー作品",x: Tonyu.globals.$screenWidth/2,y: 50,size: 15,color: "white"});
        new Tonyu.classes.kernel.Label({text: Tonyu.globals.$title,x: Tonyu.globals.$screenWidth/2,y: 100,size: 25,color: "white"});
        new Tonyu.classes.kernel.Label({text: Tonyu.globals.$story,x: Tonyu.globals.$screenWidth/2,y: 200,size: 15,color: "white"});
        
        _thread.enter(function _trc_Title_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(! Tonyu.globals.$Boot.loadedAll)) { __pc=3     ; break; }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              Tonyu.globals.$sound.mute=false;
              new Tonyu.classes.kernel.Button({text: "Start",top: 300,onClick: Tonyu.bindFunc(_this,_this.start),key: "space"});
              _this.sb=new Tonyu.classes.kernel.Label({text: "Sound:ON",y: 360,x: 150,size: 30});
              _this.sb.text=Tonyu.globals.$sound.mute?"Sound:OFF":"Sound:ON";
              new Tonyu.classes.kernel.Button({text: "On↔Off",left: 250,top: 360,width: 180,height: 40,onClick: Tonyu.bindFunc(_this,_this.toggleSound)});
              _thread.exit(_this);return;
            }
          }
        });
      },
      start :function _trc_Title_start() {
        "use strict";
        var _this=this;
        
        new Tonyu.classes.kernel.FadeEffect({type: "out",page: Tonyu.classes.user.Main});
      },
      fiber$start :function _trc_Title_f_start(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        new Tonyu.classes.kernel.FadeEffect({type: "out",page: Tonyu.classes.user.Main});
        
        _thread.retVal=_this;return;
      },
      toggleSound :function _trc_Title_toggleSound() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$sound.mute=! Tonyu.globals.$sound.mute;
        _this.sb.text=Tonyu.globals.$sound.mute?"Sound:OFF":"Sound:ON";
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_coin);
      },
      fiber$toggleSound :function _trc_Title_f_toggleSound(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$sound.mute=! Tonyu.globals.$sound.mute;
        _this.sb.text=Tonyu.globals.$sound.mute?"Sound:OFF":"Sound:ON";
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_coin);
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"start":{"nowait":false},"toggleSound":{"nowait":false}},"fields":{"sb":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Bullet',
  shortName: 'Bullet',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Bullet_main() {
        "use strict";
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_sample+1;
        while (! _this.screenOut()) {
          Tonyu.checkLoop();
          _this.y-=10;
          _this.update();
          
        }
        _this.die();
      },
      fiber$main :function _trc_Bullet_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=Tonyu.globals.$pat_sample+1;
        
        _thread.enter(function _trc_Bullet_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(! _this.screenOut())) { __pc=3     ; break; }
              _this.y-=10;
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _this.die();
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Bounce',
  shortName: 'Bounce',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Bounce_main() {
        "use strict";
        var _this=this;
        
        "field strict";
        _this.x=250;
        _this.y=0;
        _this.p=Tonyu.globals.$pat_sample+2;
        _this.tbl = [["しんぶん","グリーン","オレンジ","ドーナツ","エックス","にわとり","コロッケ"],["キャンセル","ゴールデン","ダイエット"],["ファッション","どうぶつえん","エレベーター","アルバトロス"],["ぎょにくソーセージ","ゆうびんマーク","はたらくくるま"]];
        
        _this.invy = 0;
        
        _this.spd = 1+0.3*Tonyu.globals.$spd;
        
        _this.mesg = _this.sel(_this.tbl[Tonyu.globals.$spd]);
        
        Tonyu.globals.$mesgs.push(_this.mesg);
        _this.mc = 0;
        
        _this.lb = new Tonyu.classes.kernel.Label({text: "",size: 30,x: 256,y: 100,lifeKeeper: _this});
        
        _this.vx = 0;
        _this.vy = 0;
        
        while (true) {
          Tonyu.checkLoop();
          _this.x+=_this.vx*_this.spd;
          _this.y+=_this.vy*_this.spd;
          _this.vy+=0.1*_this.spd;
          _this.invy-=10;
          _this.bl = _this.crashTo(Tonyu.classes.user.Bullet);
          
          if (_this.x<0) {
            _this.vx=_this.abs(_this.vx);
          }
          if (_this.x>Tonyu.globals.$screenWidth) {
            _this.vx=- _this.abs(_this.vx);
          }
          if (_this.screenOut(30)) {
            _this.die();
            Tonyu.globals.$state="gameover";
            
          }
          if (_this.bl) {
            if (_this.abs(_this.invy-_this.y)>40) {
              _this.vy=- 5;
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_bonus,{vol: 64});
              _this.invy=_this.bl.y;
              _this.lb.text+=_this.mesg[_this.mc];
              _this.mc++;
              _this.vx=(_this.x-_this.bl.x)/10;
              if (_this.mc>=_this.mesg.length) {
                _this.goout();
                
              }
              
            }
            _this.bl.die();
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Bounce_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        "field strict";
        _this.x=250;
        _this.y=0;
        _this.p=Tonyu.globals.$pat_sample+2;
        _this.tbl = [["しんぶん","グリーン","オレンジ","ドーナツ","エックス","にわとり","コロッケ"],["キャンセル","ゴールデン","ダイエット"],["ファッション","どうぶつえん","エレベーター","アルバトロス"],["ぎょにくソーセージ","ゆうびんマーク","はたらくくるま"]];
        
        _this.invy = 0;
        
        _this.spd = 1+0.3*Tonyu.globals.$spd;
        
        
        _thread.enter(function _trc_Bounce_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$sel(_thread, _this.tbl[Tonyu.globals.$spd]);
              __pc=1;return;
            case 1:
              _this.mesg=_thread.retVal;
              
              Tonyu.globals.$mesgs.push(_this.mesg);
              _this.mc = 0;
              
              _this.lb = new Tonyu.classes.kernel.Label({text: "",size: 30,x: 256,y: 100,lifeKeeper: _this});
              
              _this.vx = 0;
              _this.vy = 0;
              
            case 2:
              _this.x+=_this.vx*_this.spd;
              _this.y+=_this.vy*_this.spd;
              _this.vy+=0.1*_this.spd;
              _this.invy-=10;
              _this.bl = _this.crashTo(Tonyu.classes.user.Bullet);
              
              if (_this.x<0) {
                _this.vx=_this.abs(_this.vx);
              }
              if (_this.x>Tonyu.globals.$screenWidth) {
                _this.vx=- _this.abs(_this.vx);
              }
              if (_this.screenOut(30)) {
                _this.die();
                Tonyu.globals.$state="gameover";
                
              }
              if (!(_this.bl)) { __pc=6     ; break; }
              if (!(_this.abs(_this.invy-_this.y)>40)) { __pc=5     ; break; }
              _this.vy=- 5;
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_bonus,{vol: 64});
              _this.invy=_this.bl.y;
              _this.lb.text+=_this.mesg[_this.mc];
              _this.mc++;
              _this.vx=(_this.x-_this.bl.x)/10;
              if (!(_this.mc>=_this.mesg.length)) { __pc=4     ; break; }
              _this.fiber$goout(_thread);
              __pc=3;return;
            case 3:
              
            case 4     :
              
            case 5     :
              
              _this.bl.die();
            case 6     :
              
              _this.fiber$update(_thread);
              __pc=7;return;
            case 7:
              
              __pc=2;break;
            case 8     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      sel :function _trc_Bounce_sel(a) {
        "use strict";
        var _this=this;
        
        return a[_this.rnd(a.length)];
      },
      fiber$sel :function _trc_Bounce_f_sel(_thread,a) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _thread.retVal=a[_this.rnd(a.length)];return;
        
        
        _thread.retVal=_this;return;
      },
      goout :function _trc_Bounce_goout() {
        "use strict";
        var _this=this;
        
        _this.vx=5*(Tonyu.globals.$spd%2?- 1:1);
        while (! _this.screenOut(40)) {
          Tonyu.checkLoop();
          _this.x+=_this.vx*_this.spd;
          _this.y+=_this.vy*_this.spd;
          _this.vy+=0.1*_this.spd;
          _this.lb.fillStyle=new Tonyu.classes.kernel.Color({h: _this.rnd(360),s: 1,l: 0.5});
          _this.update();
          
        }
        _this.updateEx(30);
        new Tonyu.classes.user.Enemy({x: _this.x,y: 100,pl: Tonyu.globals.$player.clone()});
        _this.die();
        _this.update();
      },
      fiber$goout :function _trc_Bounce_f_goout(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.vx=5*(Tonyu.globals.$spd%2?- 1:1);
        
        _thread.enter(function _trc_Bounce_ent_goout(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(! _this.screenOut(40))) { __pc=3     ; break; }
              _this.x+=_this.vx*_this.spd;
              _this.y+=_this.vy*_this.spd;
              _this.vy+=0.1*_this.spd;
              _this.lb.fillStyle=new Tonyu.classes.kernel.Color({h: _this.rnd(360),s: 1,l: 0.5});
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _this.fiber$updateEx(_thread, 30);
              __pc=4;return;
            case 4:
              
              new Tonyu.classes.user.Enemy({x: _this.x,y: 100,pl: Tonyu.globals.$player.clone()});
              _this.die();
              _this.fiber$update(_thread);
              __pc=5;return;
            case 5:
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"sel":{"nowait":false},"goout":{"nowait":false}},"fields":{"tbl":{},"invy":{},"spd":{},"mesg":{},"mc":{},"lb":{},"vx":{},"vy":{},"bl":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Star',
  shortName: 'Star',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Star_main() {
        "use strict";
        var _this=this;
        
        _this.radius=2;
        _this.fillStyle=new Tonyu.classes.kernel.Color({h: _this.rnd(360),s: 1,l: 0.5});
        _this.vy=_this.rnd(2,5);
        while (true) {
          Tonyu.checkLoop();
          _this.y+=_this.vy;
          if (_this.y>Tonyu.globals.$screenHeight) {
            _this.y=0;
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Star_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.radius=2;
        _this.fillStyle=new Tonyu.classes.kernel.Color({h: _this.rnd(360),s: 1,l: 0.5});
        _this.vy=_this.rnd(2,5);
        
        _thread.enter(function _trc_Star_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.y+=_this.vy;
              if (_this.y>Tonyu.globals.$screenHeight) {
                _this.y=0;
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __getter__defaultLayer :function _trc_Star___getter__defaultLayer() {
        "use strict";
        var _this=this;
        
        return Tonyu.globals.$backLayer;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"__getter__defaultLayer":{"nowait":true}},"fields":{"vy":{}}}
});

//# sourceMappingURL=concat.js.map